Bug 1812482 - Fedora 32 qtwebengine crashes: affects both qutebrowser and falkon: [abrt] qt5-qtwebengine: sandbox::CrashSIGSYS_Handler(): QtWebEngineProcess killed by SIGSEGV
Summary: Fedora 32 qtwebengine crashes: affects both qutebrowser and falkon: [abrt] qt...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: qt5-qtwebengine
Version: 32
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Rex Dieter
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:442868511cd1b2afceda037534b...
: 1818593 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-03-11 12:23 UTC by Ankur Sinha (FranciscoD)
Modified: 2020-03-31 00:17 UTC (History)
5 users (show)

Fixed In Version: qt5-qtwebengine-5.13.2-4.fc32
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-03-31 00:17:28 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (96.06 KB, text/plain)
2020-03-11 12:23 UTC, Ankur Sinha (FranciscoD)
no flags Details
File: core_backtrace (83.02 KB, text/plain)
2020-03-11 12:23 UTC, Ankur Sinha (FranciscoD)
no flags Details
File: cpuinfo (2.32 KB, text/plain)
2020-03-11 12:24 UTC, Ankur Sinha (FranciscoD)
no flags Details
File: dso_list (13.46 KB, text/plain)
2020-03-11 12:24 UTC, Ankur Sinha (FranciscoD)
no flags Details
File: environ (1.81 KB, text/plain)
2020-03-11 12:24 UTC, Ankur Sinha (FranciscoD)
no flags Details
File: exploitable (82 bytes, text/plain)
2020-03-11 12:24 UTC, Ankur Sinha (FranciscoD)
no flags Details
File: limits (1.29 KB, text/plain)
2020-03-11 12:24 UTC, Ankur Sinha (FranciscoD)
no flags Details
File: maps (102.72 KB, text/plain)
2020-03-11 12:24 UTC, Ankur Sinha (FranciscoD)
no flags Details
File: open_fds (5.48 KB, text/plain)
2020-03-11 12:24 UTC, Ankur Sinha (FranciscoD)
no flags Details
File: proc_pid_status (1.36 KB, text/plain)
2020-03-11 12:24 UTC, Ankur Sinha (FranciscoD)
no flags Details


Links
System ID Priority Status Summary Last Updated
Qt Bug Tracker QTBUG-81313 None None None 2020-03-25 08:09:33 UTC
Qt Bug Tracker QTBUG-83054 None None None 2020-03-24 18:19:31 UTC
Red Hat Bugzilla 1773289 None None None 2020-03-25 08:09:33 UTC

Description Ankur Sinha (FranciscoD) 2020-03-11 12:23:46 UTC
Description of problem:
Random tab crash in qutebrowser. Not entirely sure what caused it.

Version-Release number of selected component:
qt5-qtwebengine-5.13.2-3.fc32

Additional info:
reporter:       libreport-2.12.0
backtrace_rating: 4
cgroup:         0::/user.slice/user-1000.slice/user@1000.service/gnome-launched-org.qutebrowser.qutebrowser.desktop-121339.scope
cmdline:        /usr/lib64/qt5/libexec/QtWebEngineProcess --type=renderer --disable-gpu-memory-buffer-video-frames --enable-threaded-compositing --reduced-referrer-granularity --use-gl=egl --enable-features=AllowContentInitiatedDataUrlNavigations --disable-features=BackgroundFetch,MojoVideoCapture,SurfaceSynchronization,UsePdfCompositorServiceForPrint,UserActivationV2,VizDisplayCompositor --service-pipe-token=18211343968319505486 --lang=en-GB --webengine-schemes=qute:lL;qrc:sLV --num-raster-threads=4 --enable-main-frame-before-activation --service-request-channel-token=18211343968319505486 --renderer-client-id=52 --shared-files
crash_function: sandbox::CrashSIGSYS_Handler
executable:     /usr/lib64/qt5/libexec/QtWebEngineProcess
journald_cursor: s=d12de937e2424e1d90815a84d42e5394;i=8720de;b=ba5732544711458ca24af0fcc48fc7df;m=158e96aa6f;t=5a0931399d54f;x=1eef69fb5e53156e
kernel:         5.6.0-0.rc4.git0.1.fc32.x86_64
mountinfo:      
rootdir:        /proc/121377/fdinfo
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 sandbox::CrashSIGSYS_Handler at ../../3rdparty/chromium/sandbox/linux/seccomp-bpf-helpers/sigsys_handlers.cc:218
 #1 sandbox::Trap::SigSys at ../../3rdparty/chromium/sandbox/linux/seccomp-bpf/trap.cc:244
 #3 __clock_nanosleep at ../sysdeps/unix/sysv/linux/clock_nanosleep.c:48
 #4 __nanosleep at nanosleep.c:27
 #5 base::PlatformThread::Sleep at ./../../3rdparty/chromium/base/threading/platform_thread_posix.cc:233
 #6 base::subtle::SpinLock::LockSlow at ./../../3rdparty/chromium/base/allocator/partition_allocator/spin_lock.cc:97
 #7 WTF::StringImpl::CreateUninitialized(unsigned int, unsigned char*&)
 #8 WTF::StringImpl::Create(unsigned char const*, unsigned int)
 #9 WTF::String::String(char const*, unsigned long)
 #10 blink::ResourceRequest::ResourceRequest(blink::KURL const&)

Comment 1 Ankur Sinha (FranciscoD) 2020-03-11 12:23:50 UTC
Created attachment 1669250 [details]
File: backtrace

Comment 2 Ankur Sinha (FranciscoD) 2020-03-11 12:23:56 UTC
Created attachment 1669251 [details]
File: core_backtrace

Comment 3 Ankur Sinha (FranciscoD) 2020-03-11 12:24:02 UTC
Created attachment 1669252 [details]
File: cpuinfo

Comment 4 Ankur Sinha (FranciscoD) 2020-03-11 12:24:04 UTC
Created attachment 1669253 [details]
File: dso_list

Comment 5 Ankur Sinha (FranciscoD) 2020-03-11 12:24:05 UTC
Created attachment 1669254 [details]
File: environ

Comment 6 Ankur Sinha (FranciscoD) 2020-03-11 12:24:06 UTC
Created attachment 1669255 [details]
File: exploitable

Comment 7 Ankur Sinha (FranciscoD) 2020-03-11 12:24:07 UTC
Created attachment 1669256 [details]
File: limits

Comment 8 Ankur Sinha (FranciscoD) 2020-03-11 12:24:10 UTC
Created attachment 1669257 [details]
File: maps

Comment 9 Ankur Sinha (FranciscoD) 2020-03-11 12:24:16 UTC
Created attachment 1669258 [details]
File: open_fds

Comment 10 Ankur Sinha (FranciscoD) 2020-03-11 12:24:17 UTC
Created attachment 1669259 [details]
File: proc_pid_status

Comment 11 Ankur Sinha (FranciscoD) 2020-03-11 13:25:35 UTC
Seeing this quite often now. I'll be happy to provide more info---just not sure how to debug it at the moment.

Comment 12 Ankur Sinha (FranciscoD) 2020-03-11 13:44:08 UTC
Frequent crashes using ask.fedoraproject.org, if someone wishes to try and reproduce them.

Comment 13 Ankur Sinha (FranciscoD) 2020-03-18 20:14:57 UTC
Similar problem has been detected:

Another random crash

reporter:       libreport-2.12.0
backtrace_rating: 4
cgroup:         0::/user.slice/user-1000.slice/user@1000.service/gnome-launched-org.qutebrowser.qutebrowser.desktop-15401.scope
cmdline:        /usr/lib64/qt5/libexec/QtWebEngineProcess --type=renderer --disable-gpu-memory-buffer-video-frames --enable-threaded-compositing --reduced-referrer-granularity --use-gl=egl --enable-features=AllowContentInitiatedDataUrlNavigations --disable-features=BackgroundFetch,MojoVideoCapture,SurfaceSynchronization,UsePdfCompositorServiceForPrint,UserActivationV2,VizDisplayCompositor --service-pipe-token=5450357993492127767 --lang=en-GB --webengine-schemes=qute:lL;qrc:sLV --num-raster-threads=4 --enable-main-frame-before-activation --service-request-channel-token=5450357993492127767 --renderer-client-id=64 --shared-files
crash_function: sandbox::CrashSIGSYS_Handler
executable:     /usr/lib64/qt5/libexec/QtWebEngineProcess
journald_cursor: s=936fe99be74f4f4880cb7004afd66f6a;i=3b89;b=d291693d7eaa4246ad9c2117b29f2a1e;m=163d0fc1c;t=5a126969aaa5d;x=f5572a21309aaefb
kernel:         5.6.0-0.rc5.git0.2.fc32.x86_64
mountinfo:      
package:        qt5-qtwebengine-5.13.2-3.fc32
reason:         QtWebEngineProcess killed by SIGSEGV
rootdir:        /proc/15665/fdinfo
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 14 Ankur Sinha (FranciscoD) 2020-03-18 22:18:03 UTC
I was able to reproduce the crashes on twitter.com in falkon also.

Is there someplace upstream I can report and help debug this perhaps?

Comment 15 Ankur Sinha (FranciscoD) 2020-03-21 15:25:15 UTC
Just a note, removing the freeworld package does not fix the crashes. Still seeing them.

Rex, sorry: any ideas here? Can I provide more information to help somehow?

Comment 16 Rex Dieter 2020-03-24 17:23:03 UTC
Upstream is qt.io , bugs => https://bugreports.qt.io/

Comment 17 Ankur Sinha (FranciscoD) 2020-03-24 18:19:32 UTC
Thanks, Rex! I've filed it upstream too now: https://bugreports.qt.io/browse/QTBUG-83054

Comment 18 Ankur Sinha (FranciscoD) 2020-03-25 08:09:33 UTC
Perhaps related to this: https://bugzilla.redhat.com/show_bug.cgi?id=1773289 which was reported upstream with a patch also https://bugreports.qt.io/browse/QTBUG-81313

Something to do with glibc

Comment 19 Ankur Sinha (FranciscoD) 2020-03-25 08:21:10 UTC
It seems to be that particular issue. It's already fixed with patches for the various branches:

https://bugreports.qt.io/browse/QTBUG-81313

I don't know what chromium branch 5.13.2 is based off, though, so I don't know what patch to try to test :/

Comment 20 Kevin Kofler 2020-03-25 10:14:38 UTC
We need https://chromium.googlesource.com/chromium/src/+/54407b422a9cbf775a68c1d57603c0ecac8ce0d7 backported or, ideally, QtWebEngine upgraded to at least 5.14.1.

Comment 21 Ankur Sinha (FranciscoD) 2020-03-25 11:13:46 UTC
There are 4 patches here on the qt.io bug report: https://bugreports.qt.io/browse/QTBUG-81313

I've requested them to tell me which one I can try with 5.13.2---I'll see if I can apply it in the spec and test here, as a fix to make the browsers usable again.

I expect updating to 5.14 is quite a task requiring lots of package rebuilds etc? I can help with the rebuilds, but all the patching and backporting would be beyond me since I don't know enough of the Qt dev system/life cycle etc.

Comment 22 Kevin Kofler 2020-03-25 11:34:34 UTC
QtWebEngine can be upgraded separately from the rest of Qt. That said, it is the package that requires the most work to upgrade, as far as the packaging itself (not the rebuild of reverse dependencies) is concerned.

Comment 23 Ankur Sinha (FranciscoD) 2020-03-25 14:32:38 UTC
Opened a PR: https://src.fedoraproject.org/rpms/qt5-qtwebengine/pull-request/5

Comment 24 Rex Dieter 2020-03-25 15:10:50 UTC
Thanks!  PR merged, builds underway.

Aside, I've been working on 5.14.1 on/off over the past week or so, making good progress, hopefully will get that imported soonish.  Latest scratch build attempt:
https://koji.fedoraproject.org/koji/taskinfo?taskID=42762429

Comment 25 Ankur Sinha (FranciscoD) 2020-03-25 16:07:05 UTC
Thank you! I'll be happy to test 5.14.1 when you think it's testable too.

Comment 26 Florian Uhl 2020-03-29 14:37:16 UTC
*** Bug 1818593 has been marked as a duplicate of this bug. ***

Comment 27 Fedora Update System 2020-03-29 18:34:50 UTC
FEDORA-2020-16421b19ed has been submitted as an update to Fedora 32. https://bodhi.fedoraproject.org/updates/FEDORA-2020-16421b19ed

Comment 28 Fedora Update System 2020-03-29 18:39:06 UTC
FEDORA-2020-16421b19ed has been submitted as an update to Fedora 32. https://bodhi.fedoraproject.org/updates/FEDORA-2020-16421b19ed

Comment 29 Fedora Update System 2020-03-30 03:00:50 UTC
FEDORA-2020-16421b19ed has been pushed to the Fedora 32 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2020-16421b19ed`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-16421b19ed

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 30 Fedora Update System 2020-03-31 00:17:28 UTC
FEDORA-2020-16421b19ed has been pushed to the Fedora 32 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.